## Clone repository

Clone the repository in your favorite project directory.
```
git clone https://git.cuates.net/elmau/easymacro
```

Move into the directory
```
cd easymacro/source
```

copy the `easymacro` folder into the **pythonpath** folder in the Python macro folder within your user profile. Replace **USER** by your real user.
```
/home/USER/.config/libreoffice/4/user/Scripts/python/pythonpath
```

or use a symbolic link (recommended). Replace **PATH** by the absolute route where **easymacro** is located in your file system and **USER** by your username.
```
ln -s PATH/easymacro/source/easymacro /home/USER/.config/libreoffice/4/user/Scripts/python/pythonpath/
```


## Test

In your favorite macros file, for example **mymacros.py**. Use your favorite plain text editor or IDE. Remember, replace **USER** by your real user.
```
geany /home/USER/.config/libreoffice/4/user/Scripts/python/mymacros.py
```

Copy the following code:
```py
import easymacro as app

def main():
    app.msgbox(app.INFO_DEBUG)
    return
```

Run the **main** macro in LibreOffice, if you see a message box with information similar to the following!

![Test install](img/install_01.png)

It is all ready to start developing macros with **easymacro**.


Happy programming!
