---
title: DrawPage
---

La página de dibujo es la capa gráfica donde se agregan las formas y las imágenes en los documentos. La forma de acceder es la misma, solo cambia el tipo de documento.

## Hoja de Calc

### **draw_page**

```py
    hoja = app.active.active
    pagina_dibujo = hoja.draw_page
```

### **dp**

Alias de `draw_page`

```py
    hoja = app.active.active
    pagina_dibujo = hoja.dp
```

### **shapes**

Alias de `draw_page`

```py
    hoja = app.active.active
    pagina_dibujo = hoja.shapes
```


<br>

Una vez referenciada, sus métodos y propiedades son las mismas.

---

<br>

## Formas

---

### **index**

Acceso por índice

```py
    forma  = formas[0]
    app.debug(forma)
```

Acceso por nombre

```py
    forma  = formas['Rectangulo1']
    app.debug(forma)
```

<br>

### **in**

Verificar si una forma esta en la colección por nombre.

```py
    app.debug('Shape 1' in formas)
```

<br>

### **iter**

Iterar los elementos gráficos de la página de dibujo.

```py
    for f in formas:
        app.debug(f)
```

<br>

### **len**

Contar los elementos gráficos en la página de dibujo.

```py
    app.debug(len(formas))
```

<br>

## Métodos

---

### **add**

Agrega una nueva forma (un rectángulo) y la devuelve.

```py
    forma  = formas.add('Rectangle')
    app.debug(forma)
```

De forma predeterminada la posición será a 1 cm en Y y X y de 3 cm de ancho y alto. Estos valores se pueden modificar al crear la forma. Todas las unidades en milésimas de centímetro.

```py
    opciones = dict(
        Name = 'mi_rectangulo_1',
        Width = 5000,
        Height = 2000,
        X = 3000,
        Y = 1000,
    )

    forma  = formas.add('Rectangle', opciones)
```

<br>